Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class CollapsiblePanelTagHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.ComponentHandler
                      org.richfaces.view.facelets.html.CollapsiblePanelTagHandler

All Implemented Interfaces:
  javax.faces.view.facelets.FaceletHandler

    public class CollapsiblePanelTagHandler

extends javax.faces.view.facelets.ComponentHandler

Since:
  2010-08-27
Author:
  akolonitsky

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`CollapsiblePanelTagHandler(javax.faces.view.facelets.ComponentConfig config)`

Method Summary
`protected javax.faces.view.facelets.MetaRuleset` | `createMetaRuleset(Class type)`

Methods inherited from class javax.faces.view.facelets.ComponentHandler
`getComponentConfig, getTagHandlerDelegate, isNew, onComponentCreated, onComponentPopulated`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`apply, applyNextHandler, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollapsiblePanelTagHandler

    public CollapsiblePanelTagHandler(javax.faces.view.facelets.ComponentConfig config)

Method Detail

### createMetaRuleset

    protected javax.faces.view.facelets.MetaRuleset createMetaRuleset(Class type)

  Overrides:
    `createMetaRuleset` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.